JsonCpp project page | JsonCpp home page

Public Member Functions | List of all members
Json::Writer Class Referenceabstract

Abstract class for writers. More...

`#include <json/writer.h>`

Inheritance diagram for Json::Writer:
Collaboration diagram for Json::Writer:

## Public Member Functions
virtual | ~Writer ()
virtual std::string | write (const Value &root)=0

## Detailed Description

Abstract class for writers.

Deprecated:
  Use StreamWriter. (And really, this is an implementation detail.)

Definition at line 143 of file writer.h.

## Constructor & Destructor Documentation

## ◆ ~Writer()

Json::Writer::~Writer | ( |  | ) |
| virtual

Definition at line 321 of file json_writer.cpp.

## Member Function Documentation

## ◆ write()

virtual std::string Json::Writer::write | ( | const Value & | root | ) |
| pure virtual

Implemented in Json::StyledWriter, and Json::FastWriter.

The documentation for this class was generated from the following files:

- include/json/writer.h
- src/lib_json/json_writer.cpp